package attitude;
import org.orekit.errors.OrekitException;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.attitudes.GPAttitudeLawSelector;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;

/**
 * Tutorial for using GPAttitudeLawSelector.
 * @author goesterjf
 *
 */
public class TestGPAttitudeLaw extends GPanel implements GReadWrite{

    private GPAttitudeLawSelector attitude;
    
    public TestGPAttitudeLaw() throws IllegalArgumentException, OrekitException {
        
        attitude = new GPAttitudeLawSelector("My attitude law");

    }

    public void display() throws GException {
        generic();
    }

    @Override
    public void generic() throws GException {
        put(attitude);
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

    /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset();
        
        TestGPAttitudeLaw test = new TestGPAttitudeLaw();

        GPanTest frame = new GPanTest("Attitude law", test, "GPAttitudeLawSelector.xml");
        //GFrame frame = new GFrame("Attitude law", test);
        frame.display();

    }

}
