package attitude;
import org.orekit.errors.OrekitException;
import org.orekit.time.AbsoluteDate;
import org.orekit.time.TimeScalesFactory;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.attitudes.GPAttitudeSequence;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;

/**
 * Tutorial for using GPAttitudeSequence.
 * @author goesterjf
 *
 */
public class TestGPSeqAtt extends GPanel implements GReadWrite {

    private GPAttitudeSequence attSeq;
    
    public TestGPSeqAtt() throws IllegalArgumentException, OrekitException {
        
        AbsoluteDate date0 = new AbsoluteDate(2010, 1, 1, TimeScalesFactory.getUTC());
        attSeq = new GPAttitudeSequence(date0, false, true);

    }

    public void display() throws GException {
        generic();
    }

    @Override
    public void generic() throws GException {
        put(attSeq);
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

    /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset() ;

        //GFrame frame = new GFrame("Attitude sequence", new TestGPSeqAtt());
        GPanTest frame = new GPanTest("Sequence of attitude", new TestGPSeqAtt(), "AttitudeSequence.xml");
        frame.display();

    }

}
