package maneuver;
import java.util.ArrayList;

import org.orekit.errors.OrekitException;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.maneuvers.GPImpulseManeuver;
import fr.cnes.genopus.nonWidget.maneuvers.CustomEngine;
import fr.cnes.genopus.nonWidget.maneuvers.CustomFuelTank;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;

/**
 * Tutorial for using GPAbsoluteDate.
 * @author goesterjf
 *
 */
public class TestGPImpulseManeuver extends GPanel implements GReadWrite {

    private GPImpulseManeuver impMan;
    
    public TestGPImpulseManeuver() throws IllegalArgumentException, OrekitException {
        
        impMan = new GPImpulseManeuver("My Maneuver");
        ArrayList<CustomEngine> listOfEngines = new ArrayList<CustomEngine>();
        listOfEngines.add(new CustomEngine("OCS", 320., 490.));
        impMan.setEnginesList(listOfEngines);
        ArrayList<CustomFuelTank> listOfTanks = new ArrayList<CustomFuelTank>();
        listOfTanks.add(new CustomFuelTank("Tank1", 100.));
        impMan.setTanksList(listOfTanks);

    }

    public void display() throws GException {
        generic();
    }

    @Override
    public void generic() throws GException {
        put(impMan);
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

   /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset() ;

        TestGPImpulseManeuver test = new TestGPImpulseManeuver();
        
        GPanTest frame = new GPanTest("Impulse maneuver", test, "GPImpulseManeuver.xml");
        frame.display();

    }

}
