package maneuver;
import org.orekit.errors.OrekitException;
import org.orekit.time.AbsoluteDate;
import org.orekit.time.TimeScalesFactory;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.maneuvers.GPManeuverSequence;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;

/**
 * Tutorial for using GPManeuverSequence.
 * @author goesterjf
 *
 */
public class TestGPSeqMan extends GPanel implements GReadWrite {

    private final GPManeuverSequence manSeq;
    
    public TestGPSeqMan() throws IllegalArgumentException, OrekitException {
        
        AbsoluteDate date0 = new AbsoluteDate(2010, 1, 1, TimeScalesFactory.getUTC());
        manSeq = new GPManeuverSequence(date0, true, false);
        
    }

    public void display() throws GException {
        generic();
    }

    @Override
    public void generic() throws GException {
        put(manSeq);
    }
    
    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

    /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset() ;
        
        TestGPSeqMan test = new TestGPSeqMan();

        //GFrame frame = new GFrame("Maneuver sequence", test);
        GPanTest frame = new GPanTest("Sequence of maneuver", test, "GPManeuverSequence.xml");
        frame.display();

    }

}
