package misc;
import org.orekit.errors.OrekitException;
import org.orekit.time.AbsoluteDate;
import org.orekit.time.TimeScale;
import org.orekit.time.TimeScalesFactory;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.time.GPAbsoluteDate;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;

/**
 * Tutorial for using GPAbsoluteDate.
 * @author goesterjf
 *
 */
public class TestGPAbsoluteDate extends GPanel implements GReadWrite {

    private GPAbsoluteDate gpDate;
    
    public TestGPAbsoluteDate() throws OrekitException {
        
        final TimeScale TUC = TimeScalesFactory.getUTC();
        final AbsoluteDate date0 = new AbsoluteDate(2010, 1, 1, 0, 0, 0., TUC);
        gpDate = new GPAbsoluteDate("Date:", date0);
        //gpDate = new GPAbsoluteDate("Date:");

    }

    public void generic() throws GException {
        put(gpDate);
    }

    public void display() throws GException {
        generic();
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

    /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset();
        
        TestGPAbsoluteDate test = new TestGPAbsoluteDate();
        
        GPanTest frame = new GPanTest("Absolute date", test, "GPAbsoluteDate.xml");
        //GFrame frame = new GFrame("Absolute date", test);
        frame.display();
        
    }

}
