package misc;
import org.orekit.errors.OrekitException;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.forces.GPEarthPotentialForceModel.AttractionModelsEnum;
import fr.cnes.genopus.forces.GPForceModels;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;


/**
 * Tutorial for using GPForceModels.
 * @author goesterjf
 *
 */
public class TestGPForceModels extends GPanel implements GReadWrite{
 
    private GPForceModels models;
    
    public TestGPForceModels() {
        
        //models = new GPForceModels("MyModels");
        //AttractionModelsEnum[] attractionModels = { AttractionModelsEnum.BALMINO };
        //AttractionModelsEnum[] attractionModelsAvailable = { AttractionModelsEnum.DROZINER, AttractionModelsEnum.BALMINO };
        AttractionModelsEnum[] attractionModelsAvailable = { AttractionModelsEnum.BALMINO };
        models = new GPForceModels("MyModels", AttractionModelsEnum.BALMINO, attractionModelsAvailable , true, true, true, true, true, true);
        
    }

    public void display() throws GException {
        generic();
    }

    @Override
    public void generic() throws GException {
        put(models);
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

    /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset();
        
        TestGPForceModels test = new TestGPForceModels();

        GPanTest frame = new GPanTest("Force models", test, "GPForceModels.xml");
        frame.display();
        
        

    }

}
