package misc;
import org.orekit.errors.OrekitException;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.bodies.GPGeodeticPoint;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;

/**
 * Tutorial for using GPGeodeticPoint.
 * @author goesterjf
 *
 */
public class TestGPGeodeticPoint extends GPanel implements GReadWrite {

    private GPGeodeticPoint geodWithAlt;
    private GPGeodeticPoint geodWithoutAlt;
    private GPGeodeticPoint geodWithoutName;
    
    public TestGPGeodeticPoint() {

        geodWithAlt = new GPGeodeticPoint ("With altitude:");
        geodWithoutAlt = new GPGeodeticPoint ("Without altitude:", false, true);
        geodWithoutName = new GPGeodeticPoint ("Without name:", true, false);
        
//        GeodeticPoint geodeticPoint = new GeodeticPoint(FastMath.toRadians(45.), FastMath.toRadians(10.), 120.e+3);
//        geodWithoutAlt = new GPGeodeticPoint("Without altitude:", geodeticPoint, false);
        
    }

    public void generic() throws GException {
        put(geodWithAlt);
        put(geodWithoutAlt);
        put(geodWithoutName);
    }

    public void display() throws GException {
        generic();
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

    /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset() ;
        
        GPanTest panTest = new GPanTest("Geodetic coordinates", new TestGPGeodeticPoint(), "GPGeodeticPoint.xml");
        panTest.display();

    }

}
