package vehicle;
import org.orekit.errors.OrekitException;

import fr.cnes.genius.exception.GException;
import fr.cnes.genius.lowLevel.GPanel;
import fr.cnes.genius.main.GReadWrite;
import fr.cnes.genius.utils.GPanTest;
import fr.cnes.genopus.maneuvers.GPEngine;
import fr.cnes.genopus.maneuvers.GPFuelTank;
import fr.cnes.sirius.addons.patriusdataset.PatriusDataset;

/**
 * Tutorial for using GPEngine and GPFuelTank.
 * @author goesterjf
 *
 */
public class TestGPEngineAndTank extends GPanel implements GReadWrite {

    private GPEngine engine;
    private GPFuelTank tank;
    
    public TestGPEngineAndTank() {

        engine = new GPEngine("My Engine");
        tank = new GPFuelTank("My Tank");
    }

    public void display() throws GException {
        generic();
    }

    @Override
    public void generic() throws GException {
        put(engine);
        put(tank);
    }

    public void read() throws GException {
        generic();
    }

    public void write() throws GException {
        generic();
    }

   /**
     * @param args
     * @throws OrekitException 
     */
    public static void main(String[] args) throws OrekitException {

        PatriusDataset.addResourcesFromPatriusDataset();
        
        TestGPEngineAndTank test = new TestGPEngineAndTank();

        GPanTest frame = new GPanTest("Engine and tank", test, "GPEngineAndTank.xml");
        frame.display();

    }

}
